#include<bits/stdc++.h>
using namespace std;
int x[1000001];
int y[1000001];
int a[1000001];
int b[1000001];
int sa(int k){
    if(k==1){
        return a[1];
    }
    if(k==0){
        return 0;
    }
    return sa(k-1)+k*a[k];
}
int s2a(int k){
    if(k==1){
        return sa(k-1)*2*a[k];
    }else{
        return s2a(k-1)+sa(k-1)*2*a[k];
    }
}
int ta(int k){
    if(k==1){
        return a[1]*a[1];
    }else{
        return ta(k-1)+k*a[k]*a[k];
    }
}
int fa(int k){
    if(k==1){
        return a[k]*a[k];
    }
    return fa(k-1) + ta(k) + s2a(k);
}



























int sb(int k){
    if(k==1){
        return b[1];
    }
    if(k==0){
        return 0;
    }
    return sb(k-1)+k*b[k];
}
int s2b(int k){
    if(k==1){
        return sb(k-1)*2*b[k];
    }else{
        return s2b(k-1)+sb(k-1)*2*b[k];
    }
}
int tb(int k){
    if(k==1){
        return b[1]*b[1];
    }else{
        return tb(k-1)+k*b[k]*b[k];
    }
}
int fb(int k){
    if(k==1){
        return b[k]*b[k];
    }
    return fb(k-1) + tb(k) + s2b(k);
}
int main(){
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>x[i]>>y[i];
    }
    sort(x,x+n);
    sort(y,y+n);
    for(int i=1;i<n;i++){
        a[i]=x[i]-x[i-1];
        b[i]=y[i]-y[i-1];
    }
    /*for(int i=1;i<n;i++){
        cout<<sa(i)<<" ";
    }
    */
    //cout<<ta(1)<<" "<<fa(1)<<endl;
    cout<<fa(n-1)+fb(n-1);
    /*for(int i=2;i<n;i++){
        //cout<<s2a(i)<<" "<<ta(i)<<" "<<fa(i)<<endl;
        cout<<fa(i)<<" "<<fb(i)<<endl;
    }
    */
    //sort(b,b+n);
return 0;
}

